Blueprints - Create Or Update

ブループリント定義を作成または更新します。

PUT https://management.azure.com/{resourceScope}/providers/Microsoft.Blueprint/blueprints/{blueprintName}?api-version=2018-11-01-preview

URI パラメーター

Name / 必須 型 説明
blueprintName
path True

string

ブループリント定義の名前。

resourceScope
path True

string

リソースのスコープ。 有効なスコープは、管理グループ (形式: '/providers/Microsoft.Management/managementGroups/{managementGroup}')、サブスクリプション (形式: '/subscriptions/{subscriptionId}') です。

api-version
query True

string

クライアント API のバージョン。

要求本文

Name 必須 型 説明
properties.targetScope True

BlueprintTargetScope

このブループリント定義を割り当てることができるスコープ。

description

string

maxLength: 500

複数行でこのリソースについて説明します。

displayName

string

maxLength: 256

このリソースを説明する 1 行の文字列。

properties.parameters

<string,  ParameterDefinition>

このブループリント定義に必要なパラメーター。

properties.resourceGroups

<string,  ResourceGroupDefinition>

このブループリント定義で定義されているリソース グループ プレースホルダー。

properties.versions

object

このブループリント定義の発行済みバージョン。

応答

Name 型 説明
201 Created

Blueprint

作成済み -- ブループリント定義が保存されました。

Other Status Codes

CloudError

ブループリントエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

Name 説明
user_impersonation ユーザー アカウントを偽装する

例

ManagementGroupBlueprint
ResourceGroupWithTags
SubscriptionBlueprint

ManagementGroupBlueprint

要求のサンプル

PUT https://management.azure.com/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint?api-version=2018-11-01-preview

{
  "properties": {
    "description": "blueprint contains all artifact kinds {'template', 'rbac', 'policy'}",
    "parameters": {
      "storageAccountType": {
        "type": "string",
        "metadata": {
          "displayName": "storage account type."
        }
      },
      "costCenter": {
        "type": "string",
        "metadata": {
          "displayName": "force cost center tag for all resources under given subscription."
        }
      },
      "owners": {
        "type": "array",
        "metadata": {
          "displayName": "assign owners to subscription along with blueprint assignment."
        }
      }
    },
    "resourceGroups": {
      "storageRG": {
        "metadata": {
          "displayName": "storage resource group",
          "description": "Contains storageAccounts that collect all shoebox logs."
        }
      }
    },
    "targetScope": "subscription"
  }
}

応答のサンプル

{
  "properties": {
    "description": "blueprint contains all artifact kinds {'template', 'rbac', 'policy'}",
    "parameters": {
      "storageAccountType": {
        "type": "string",
        "metadata": {
          "displayName": "storage account type.",
          "description": null
        }
      },
      "costCenter": {
        "type": "string",
        "metadata": {
          "displayName": "force cost center tag for all resources under given subscription.",
          "description": null
        }
      },
      "owners": {
        "type": "array",
        "metadata": {
          "displayName": "assign owners to subscription along with blueprint assignment.",
          "description": null
        }
      }
    },
    "resourceGroups": {
      "storageRG": {
        "metadata": {
          "displayName": "storage resource group",
          "description": "Contains storageAccounts that collect all shoebox logs."
        }
      }
    },
    "targetScope": "subscription"
  },
  "id": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint",
  "type": "Microsoft.Blueprint/blueprints",
  "name": "simpleBlueprint"
}

ResourceGroupWithTags

要求のサンプル

PUT https://management.azure.com/providers/Microsoft.Management/managementGroups/{ManagementGroupId}/providers/Microsoft.Blueprint/blueprints/simpleBlueprint?api-version=2018-11-01-preview

{
  "properties": {
    "targetScope": "subscription",
    "resourceGroups": {
      "myRGName": {
        "name": "myRGName",
        "location": "westus",
        "metadata": {
          "displayName": "My Resource Group"
        },
        "tags": {
          "costcenter": "123456",
          "nameOnlyTag": ""
        }
      }
    },
    "description": "An example blueprint containing an RG with two tags."
  }
}

応答のサンプル

{
  "properties": {
    "parameters": {},
    "resourceGroups": {
      "myRGName": {
        "name": "myRGName",
        "location": "westus",
        "metadata": {
          "displayName": "My Resource Group"
        },
        "dependsOn": [],
        "tags": {
          "costcenter": "123456",
          "tagWithNoValue": ""
        }
      }
    },
    "targetScope": "subscription",
    "status": {
      "timeCreated": "2019-04-29T20:52:56+00:00",
      "lastModified": "2019-04-29T20:52:56+00:00"
    },
    "description": "An example blueprint containing an RG with two tags."
  },
  "id": "/providers/Microsoft.Management/managementGroups/{ManagementGroupId}/providers/Microsoft.Blueprint/blueprints/RGTaggingExample",
  "type": "Microsoft.Blueprint/blueprints",
  "name": "RGTaggingExample"
}

SubscriptionBlueprint

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprints/simpleBlueprint?api-version=2018-11-01-preview

{
  "properties": {
    "description": "blueprint contains all artifact kinds {'template', 'rbac', 'policy'}",
    "parameters": {
      "storageAccountType": {
        "type": "string",
        "metadata": {
          "displayName": "storage account type."
        }
      },
      "costCenter": {
        "type": "string",
        "metadata": {
          "displayName": "force cost center tag for all resources under given subscription."
        }
      },
      "owners": {
        "type": "array",
        "metadata": {
          "displayName": "assign owners to subscription along with blueprint assignment."
        }
      }
    },
    "resourceGroups": {
      "storageRG": {
        "metadata": {
          "displayName": "storage resource group",
          "description": "Contains storageAccounts that collect all shoebox logs."
        }
      }
    },
    "targetScope": "subscription"
  }
}

応答のサンプル

{
  "properties": {
    "description": "blueprint contains all artifact kinds {'template', 'rbac', 'policy'}",
    "parameters": {
      "storageAccountType": {
        "type": "string",
        "metadata": {
          "displayName": "storage account type.",
          "description": null
        }
      },
      "costCenter": {
        "type": "string",
        "metadata": {
          "displayName": "force cost center tag for all resources under given subscription.",
          "description": null
        }
      },
      "owners": {
        "type": "array",
        "metadata": {
          "displayName": "assign owners to subscription along with blueprint assignment.",
          "description": null
        }
      }
    },
    "resourceGroups": {
      "storageRG": {
        "metadata": {
          "displayName": "storage resource group",
          "description": "Contains storageAccounts that collect all shoebox logs."
        }
      }
    },
    "targetScope": "subscription"
  },
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprints/simpleBlueprint",
  "type": "Microsoft.Blueprint/blueprints",
  "name": "simpleBlueprint"
}

定義

Name 説明
Blueprint

ブループリント定義を表します。

BlueprintStatus

ブループリントの状態。 このフィールドは読み取り時です。

BlueprintTargetScope

このブループリント定義を割り当てることができるスコープ。

CloudError
ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorResponse

エラー応答

ParameterDefinition

制約とメタデータを使用してパラメーターを表します。

ResourceGroupDefinition

ブループリント定義内の Azure リソース グループを表します。

TemplateParameterType

Resource Manager テンプレート パラメーターに使用できるデータ型。

Blueprint

ブループリント定義を表します。

Name 型 説明
description

string

maxLength: 500

複数行でこのリソースについて説明します。

displayName

string

maxLength: 256

このリソースを説明する 1 行の文字列。

id

string

Azure 上の任意のリソースを検索するために使用される文字列 ID。

name

string

このリソースの名前。

properties.layout

object

UI リファレンスのブループリント定義のレイアウト ビュー。

properties.parameters

<string,  ParameterDefinition>

このブループリント定義に必要なパラメーター。

properties.resourceGroups

<string,  ResourceGroupDefinition>

このブループリント定義で定義されているリソース グループ プレースホルダー。

properties.status

BlueprintStatus

ブループリントの状態。 このフィールドは読み取り時です。

properties.targetScope

BlueprintTargetScope

このブループリント定義を割り当てることができるスコープ。

properties.versions

object

このブループリント定義の発行済みバージョン。

type

string

このリソースの種類。

BlueprintStatus

ブループリントの状態。 このフィールドは読み取り時です。

Name 型 説明
lastModified

string (date-time)

このブループリント定義の最終変更時刻。

timeCreated

string (date-time)

このブループリント定義の作成時間。

BlueprintTargetScope

このブループリント定義を割り当てることができるスコープ。

値 説明
subscription

ブループリントは、ブループリントの割り当て中にサブスクリプションを対象とします。

managementGroup

ブループリントは、ブループリントの割り当て中に管理グループを対象とします。 これは将来使用するために予約されています。

CloudError

Name 型 説明
error

ErrorResponse

エラー応答
失敗した操作のエラーの詳細を返す、すべての Azure Resource Manager API の一般的なエラー応答。 (これは、OData エラー応答形式にも従います)。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

Name 型 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorResponse

エラー応答

Name 型 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorResponse[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ParameterDefinition

制約とメタデータを使用してパラメーターを表します。

Name 型 説明
allowedValues

AllowedValues[]

このパラメーターに使用できる値の配列。

defaultValue

このパラメーターの既定値。

metadata.description

string

maxLength: 500

このパラメーター/resourceGroup の説明。

metadata.displayName

string

maxLength: 256

このパラメーター/resourceGroup の DisplayName。

metadata.strongType

string

maxLength: 64

ブループリントの割り当て中に豊富なエクスペリエンスをレンダリングする UI 用の StrongType。 サポートされている厳密な種類は、resourceType、principalId、および場所です。

type

TemplateParameterType

Resource Manager テンプレート パラメーターに使用できるデータ型。

ResourceGroupDefinition

ブループリント定義内の Azure リソース グループを表します。

Name 型 説明
dependsOn

string[]

このリソース グループの前にデプロイする必要がある成果物。

location

string

この resourceGroup の場所。 ブループリントの割り当て中にリソース グループの場所を指定する場合は、空のままにします。

metadata.description

string

maxLength: 500

このパラメーター/resourceGroup の説明。

metadata.displayName

string

maxLength: 256

このパラメーター/resourceGroup の DisplayName。

metadata.strongType

string

maxLength: 64

ブループリントの割り当て中に豊富なエクスペリエンスをレンダリングする UI 用の StrongType。 サポートされている厳密な種類は、resourceType、principalId、および場所です。

name

string

この resourceGroup の名前。 ブループリントの割り当て中にリソース グループ名を指定する場合は、空のままにします。

tags

object

このリソース グループに割り当てられるタグ。

TemplateParameterType

Resource Manager テンプレート パラメーターに使用できるデータ型。

値 説明
string
array
bool
int
object
secureObject
secureString